Bug 1674296 - package-cleanup doesn't work as expected
Summary: package-cleanup doesn't work as expected
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core
Version: rawhide
Hardware: All
OS: Unspecified
medium
high
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1723126 1739953 1750560 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-10 22:03 UTC by Peter Robinson
Modified: 2020-03-09 03:12 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-27 08:17:28 UTC
Type: Bug


Attachments (Terms of Use)
the package-cleanup --cleandupes error output (874.01 KB, text/plain)
2019-02-10 22:14 UTC, Peter Robinson
no flags Details
Output from remove --duplicates (74.85 KB, text/plain)
2019-09-06 17:02 UTC, Jaroslav Mracek
no flags Details

Description Peter Robinson 2019-02-10 22:03:30 UTC
package-cleanup, as implemented in yum, when used with --cleandupes removes the oldest version of a package if there happens to be duplicate installed versions of the same package name. It seems the dnf variant does not:

According to the --dupes option we should have the older NVRs removed:

# package-cleanup --dupes
Last metadata expiration check: 0:43:05 ago on Sun 10 Feb 2019 21:18:09 UTC.
NetworkManager-1:1.12.4-1.fc29.aarch64
NetworkManager-1:1.12.6-5.fc29.aarch64
NetworkManager-libnm-1:1.12.4-1.fc29.aarch64
NetworkManager-libnm-1:1.12.6-5.fc29.aarch64
audit-libs-0:3.0-0.4.20180831git0047a6c.fc29.aarch64
audit-libs-0:3.0-0.5.20181218gitbdb72c0.fc29.aarch64
authselect-0:1.0.1-2.fc29.aarch64
authselect-0:1.0.2-2.fc29.aarch64
authselect-libs-0:1.0.1-2.fc29.aarch64
authselect-libs-0:1.0.2-2.fc29.aarch64
bash-0:4.4.23-5.fc29.aarch64
bash-0:4.4.23-6.fc29.aarch64
bind-libs-32:9.11.4-10.P2.fc29.aarch64
bind-libs-32:9.11.4-13.P2.fc29.aarch64
bind-libs-lite-32:9.11.4-10.P2.fc29.aarch64
bind-libs-lite-32:9.11.4-13.P2.fc29.aarch64
bind-license-32:9.11.4-10.P2.fc29.noarch
bind-license-32:9.11.4-13.P2.fc29.noarch
checkpolicy-0:2.8-2.fc29.aarch64
checkpolicy-0:2.8-3.fc29.aarch64
container-selinux-2:2.73-2.gitd7a3f33.fc29.noarch
container-selinux-2:2.81-2.git484806a.fc29.noarch
coreutils-0:8.30-4.fc29.aarch64
coreutils-0:8.30-6.fc29.aarch64
coreutils-common-0:8.30-4.fc29.aarch64
coreutils-common-0:8.30-6.fc29.aarch64
crypto-policies-0:20180925-1.git71ca85f.fc29.noarch
crypto-policies-0:20181026-1.gitd42aaa6.fc29.noarch
cryptsetup-libs-0:2.0.4-1.fc29.aarch64
cryptsetup-libs-0:2.0.6-1.fc29.aarch64
curl-0:7.61.1-2.fc29.aarch64
curl-0:7.61.1-8.fc29.aarch64
dbus-1:1.12.10-1.fc29.aarch64
dbus-1:1.12.12-1.fc29.aarch64
dbus-common-1:1.12.10-1.fc29.noarch
dbus-common-1:1.12.12-1.fc29.noarch
dbus-daemon-1:1.12.10-1.fc29.aarch64
dbus-daemon-1:1.12.12-1.fc29.aarch64
dbus-libs-1:1.12.10-1.fc29.aarch64
dbus-libs-1:1.12.12-1.fc29.aarch64
dbus-tools-1:1.12.10-1.fc29.aarch64
dbus-tools-1:1.12.12-1.fc29.aarch64
device-mapper-0:1.02.150-1.fc29.aarch64
device-mapper-0:1.02.154-1.fc29.aarch64
device-mapper-libs-0:1.02.150-1.fc29.aarch64
device-mapper-libs-0:1.02.154-1.fc29.aarch64
dracut-0:048-14.git20180726.fc29.aarch64
dracut-0:049-25.git20181204.fc29.aarch64
dtc-0:1.4.7-1.fc29.aarch64
dtc-0:1.4.7-2.fc29.aarch64
efivar-libs-0:35-4.fc29.aarch64
efivar-libs-0:37-1.fc29.aarch64
elfutils-default-yama-scope-0:0.174-1.fc29.noarch
elfutils-default-yama-scope-0:0.174-5.fc29.noarch
elfutils-libelf-0:0.174-1.fc29.aarch64
elfutils-libelf-0:0.174-5.fc29.aarch64
elfutils-libs-0:0.174-1.fc29.aarch64
elfutils-libs-0:0.174-5.fc29.aarch64
file-libs-0:5.34-11.fc29.aarch64
file-libs-0:5.34-3.fc29.aarch64
findutils-1:4.6.0-20.fc29.aarch64
findutils-1:4.6.0-21.fc29.aarch64
gettext-libs-0:0.19.8.1-17.fc29.aarch64
gettext-libs-0:0.19.8.1-18.fc29.aarch64
glib2-0:2.58.1-1.fc29.aarch64
glib2-0:2.58.3-1.fc29.aarch64
glibc-0:2.28-26.fc29.aarch64
glibc-0:2.28-9.fc29.aarch64
glibc-common-0:2.28-26.fc29.aarch64
glibc-common-0:2.28-9.fc29.aarch64
glibc-langpack-en-0:2.28-26.fc29.aarch64
glibc-langpack-en-0:2.28-9.fc29.aarch64
gnupg2-0:2.2.12-1.fc29.aarch64
gnupg2-0:2.2.9-1.fc29.aarch64
gnupg2-smime-0:2.2.12-1.fc29.aarch64
gnupg2-smime-0:2.2.9-1.fc29.aarch64
gnutls-0:3.6.4-1.fc29.aarch64
gnutls-0:3.6.5-2.fc29.aarch64
gobject-introspection-0:1.58.0-2.fc29.aarch64
gobject-introspection-0:1.58.3-1.fc29.aarch64
kernel-tools-libs-0:4.18.10-300.fc29.aarch64
kernel-tools-libs-0:4.20.5-200.fc29.aarch64
kpartx-0:0.7.7-5.gitef6d98b.fc29.aarch64
kpartx-0:0.7.7-6.gitef6d98b.fc29.aarch64
krb5-libs-0:1.16.1-20.fc29.aarch64
krb5-libs-0:1.16.1-25.fc29.aarch64
libarchive-0:3.3.2-2.fc29.aarch64
libarchive-0:3.3.3-2.fc29.aarch64
libassuan-0:2.5.1-4.fc29.aarch64
libassuan-0:2.5.2-1.fc29.aarch64
libcurl-0:7.61.1-2.fc29.aarch64
libcurl-0:7.61.1-8.fc29.aarch64
libdnf-0:0.20.0-1.fc29.aarch64
libdnf-0:0.22.3-1.fc29.aarch64
libgcc-0:8.2.1-2.fc29.aarch64
libgcc-0:8.2.1-6.fc29.aarch64
libgcrypt-0:1.8.3-3.fc29.aarch64
libgcrypt-0:1.8.4-1.fc29.aarch64
libgomp-0:8.2.1-2.fc29.aarch64
libgomp-0:8.2.1-6.fc29.aarch64
libgpg-error-0:1.31-2.fc29.aarch64
libgpg-error-0:1.33-1.fc29.aarch64
libgpiod-0:1.1.1-3.fc29.aarch64
libgpiod-0:1.2-1.fc29.aarch64
libi2c-0:4.0-11.fc29.aarch64
libi2c-0:4.1-1.fc29.aarch64
libidn2-0:2.0.5-2.fc29.aarch64
libidn2-0:2.1.1a-1.fc29.aarch64
libldb-0:1.4.2-1.fc29.aarch64
libldb-0:1.4.3-1.fc29.aarch64
libnfsidmap-1:2.3.3-0.fc29.aarch64
libnfsidmap-1:2.3.3-1.rc2.fc29.aarch64
libpng-2:1.6.34-6.fc29.aarch64
libpng-2:1.6.34-7.fc29.aarch64
libselinux-0:2.8-4.fc29.aarch64
libselinux-0:2.8-6.fc29.aarch64
libselinux-utils-0:2.8-4.fc29.aarch64
libselinux-utils-0:2.8-6.fc29.aarch64
libsemanage-0:2.8-4.fc29.aarch64
libsemanage-0:2.8-8.fc29.aarch64
libsepol-0:2.8-2.fc29.aarch64
libsepol-0:2.8-3.fc29.aarch64
libsolv-0:0.6.35-3.fc29.aarch64
libsolv-0:0.7.2-2.fc29.aarch64
libssh-0:0.8.3-3.fc29.aarch64
libssh-0:0.8.6-2.fc29.aarch64
libstdc++-0:8.2.1-2.fc29.aarch64
libstdc++-0:8.2.1-6.fc29.aarch64
libtasn1-0:4.13-4.fc29.aarch64
libtasn1-0:4.13-5.fc29.aarch64
libtirpc-0:1.1.4-0.fc29.aarch64
libtirpc-0:1.1.4-2.rc2.fc29.aarch64
libxml2-0:2.9.8-4.fc29.aarch64
libxml2-0:2.9.8-5.fc29.aarch64
libyaml-0:0.2.1-2.fc29.aarch64
libyaml-0:0.2.1-5.fc29.aarch64
libzstd-0:1.3.6-1.fc29.aarch64
libzstd-0:1.3.8-1.fc29.aarch64
lmdb-libs-0:0.9.22-3.fc29.aarch64
lmdb-libs-0:0.9.23-1.fc29.aarch64
lua-libs-0:5.3.5-2.fc29.aarch64
lua-libs-0:5.3.5-3.fc29.aarch64
lz4-libs-0:1.8.2-2.fc29.aarch64
lz4-libs-0:1.8.3-1.fc29.aarch64
nettle-0:3.4-5.fc29.aarch64
nettle-0:3.4.1rc1-1.fc29.aarch64
openldap-0:2.4.46-8.fc29.aarch64
openldap-0:2.4.46-9.fc29.aarch64
openssh-0:7.8p1-3.fc29.aarch64
openssh-0:7.9p1-4.fc29.aarch64
openssl-1:1.1.1-2.fc29.aarch64
openssl-1:1.1.1-3.fc29.aarch64
openssl-1:1.1.1a-1.fc29.aarch64
openssl-libs-1:1.1.1-2.fc29.aarch64
openssl-libs-1:1.1.1-3.fc29.aarch64
openssl-libs-1:1.1.1a-1.fc29.aarch64
openssl-pkcs11-0:0.4.8-1.fc29.aarch64
openssl-pkcs11-0:0.4.8-2.fc29.aarch64
ostree-libs-0:2018.8-1.fc29.aarch64
ostree-libs-0:2019.1-3.fc29.aarch64
p11-kit-0:0.23.14-1.fc29.aarch64
p11-kit-0:0.23.15-1.fc29.aarch64
p11-kit-trust-0:0.23.14-1.fc29.aarch64
p11-kit-trust-0:0.23.15-1.fc29.aarch64
pam-0:1.3.1-15.fc29.aarch64
pam-0:1.3.1-3.fc29.aarch64
pcre-0:8.42-4.fc29.aarch64
pcre-0:8.42-6.fc29.aarch64
pcre2-0:10.32-3.fc29.aarch64
pcre2-0:10.32-5.fc29.aarch64
plymouth-0:0.9.3-14.fc29.aarch64
plymouth-0:0.9.4-1.fc29.aarch64
plymouth-core-libs-0:0.9.3-14.fc29.aarch64
plymouth-core-libs-0:0.9.4-1.fc29.aarch64
plymouth-scripts-0:0.9.3-14.fc29.aarch64
plymouth-scripts-0:0.9.4-1.fc29.aarch64
policycoreutils-0:2.8-17.fc29.aarch64
policycoreutils-0:2.8-8.fc29.aarch64
polkit-libs-0:0.115-2.fc29.aarch64
polkit-libs-0:0.115-4.3.fc29.aarch64
python-pip-wheel-0:18.0-4.fc29.noarch
python-pip-wheel-0:18.1-1.fc29.noarch
python3-0:3.7.0-9.fc29.aarch64
python3-0:3.7.2-4.fc29.aarch64
python3-audit-0:3.0-0.4.20180831git0047a6c.fc29.aarch64
python3-audit-0:3.0-0.5.20181218gitbdb72c0.fc29.aarch64
python3-bind-32:9.11.4-10.P2.fc29.noarch
python3-bind-32:9.11.4-13.P2.fc29.noarch
python3-firewall-0:0.6.2-1.fc29.noarch
python3-firewall-0:0.6.3-1.fc29.noarch
python3-gobject-base-0:3.30.1-1.fc29.aarch64
python3-gobject-base-0:3.30.4-1.fc29.aarch64
python3-hawkey-0:0.20.0-1.fc29.aarch64
python3-hawkey-0:0.22.3-1.fc29.aarch64
python3-libdnf-0:0.20.0-1.fc29.aarch64
python3-libdnf-0:0.22.3-1.fc29.aarch64
python3-libs-0:3.7.0-9.fc29.aarch64
python3-libs-0:3.7.2-4.fc29.aarch64
python3-libselinux-0:2.8-4.fc29.aarch64
python3-libselinux-0:2.8-6.fc29.aarch64
python3-libsemanage-0:2.8-4.fc29.aarch64
python3-libsemanage-0:2.8-8.fc29.aarch64
python3-pip-0:18.0-4.fc29.noarch
python3-pip-0:18.1-1.fc29.noarch
python3-policycoreutils-0:2.8-17.fc29.noarch
python3-policycoreutils-0:2.8-8.fc29.noarch
python3-rpm-0:4.14.2-1.fc29.aarch64
python3-rpm-0:4.14.2.1-2.fc29.aarch64
rpm-0:4.14.2-1.fc29.aarch64
rpm-0:4.14.2.1-2.fc29.aarch64
rpm-build-libs-0:4.14.2-1.fc29.aarch64
rpm-build-libs-0:4.14.2.1-2.fc29.aarch64
rpm-libs-0:4.14.2-1.fc29.aarch64
rpm-libs-0:4.14.2.1-2.fc29.aarch64
rpm-plugin-selinux-0:4.14.2-1.fc29.aarch64
rpm-plugin-selinux-0:4.14.2.1-2.fc29.aarch64
rpm-plugin-systemd-inhibit-0:4.14.2-1.fc29.aarch64
rpm-plugin-systemd-inhibit-0:4.14.2.1-2.fc29.aarch64
rpm-sign-libs-0:4.14.2-1.fc29.aarch64
rpm-sign-libs-0:4.14.2.1-2.fc29.aarch64
runc-2:1.0.0-55.dev.git578fe65.fc29.aarch64
runc-2:1.0.0-67.dev.git12f6a99.fc29.aarch64
selinux-policy-0:3.14.2-36.fc29.noarch
selinux-policy-0:3.14.2-48.fc29.noarch
selinux-policy-targeted-0:3.14.2-36.fc29.noarch
selinux-policy-targeted-0:3.14.2-48.fc29.noarch
shadow-utils-2:4.6-2.fc29.aarch64
shadow-utils-2:4.6-4.fc29.aarch64
shared-mime-info-0:1.10-2.fc29.aarch64
shared-mime-info-0:1.12-1.fc29.aarch64
sqlite-libs-0:3.24.0-2.fc29.aarch64
sqlite-libs-0:3.26.0-1.fc29.aarch64
systemd-0:239-11.git4dc7dce.fc29.aarch64
systemd-0:239-3.fc29.aarch64
systemd-libs-0:239-11.git4dc7dce.fc29.aarch64
systemd-libs-0:239-3.fc29.aarch64
systemd-pam-0:239-11.git4dc7dce.fc29.aarch64
systemd-pam-0:239-3.fc29.aarch64
systemd-udev-0:239-11.git4dc7dce.fc29.aarch64
systemd-udev-0:239-3.fc29.aarch64
tzdata-0:2018e-2.fc29.noarch
tzdata-0:2018i-1.fc29.noarch
uboot-tools-0:2018.09-1.fc29.aarch64
uboot-tools-0:2018.09-2.fc29.aarch64
wpa_supplicant-1:2.6-17.fc29.aarch64
wpa_supplicant-1:2.7-1.fc29.aarch64
#

Comment 1 Peter Robinson 2019-02-10 22:07:11 UTC
But when run it with clean dupes it tries to reinstall the newer versions while leaving the older ones in place:

# package-cleanup --cleandupes
Last metadata expiration check: 0:48:17 ago on Sun 10 Feb 2019 21:18:09 UTC.
Installed package libcurl-7.61.1-8.fc29.aarch64 not available.
Installed package curl-7.61.1-8.fc29.aarch64 not available.
Installed package libidn2-2.1.1a-1.fc29.aarch64 not available.
Installed package container-selinux-2:2.81-2.git484806a.fc29.noarch not available.
Installed package libpng-2:1.6.34-7.fc29.aarch64 not available.
Installed package openssh-7.9p1-4.fc29.aarch64 not available.
Installed package libyaml-0.2.1-5.fc29.aarch64 not available.
Installed package libi2c-4.1-1.fc29.aarch64 not available.
Dependencies resolved.
======================================================================================================
 Package                       Arch      Version                             Repository          Size
======================================================================================================
Reinstalling:
 NetworkManager                aarch64   1:1.12.6-5.fc29                     updates            1.5 M
     replacing  NetworkManager.aarch64 1:1.12.6-5.fc29
 NetworkManager-libnm          aarch64   1:1.12.6-5.fc29                     updates            1.2 M
     replacing  NetworkManager-libnm.aarch64 1:1.12.6-5.fc29
 audit-libs                    aarch64   3.0-0.5.20181218gitbdb72c0.fc29     updates            103 k
     replacing  audit-libs.aarch64 3.0-0.5.20181218gitbdb72c0.fc29
 authselect                    aarch64   1.0.2-2.fc29                        updates             69 k
     replacing  authselect.aarch64 1.0.2-2.fc29
 authselect-libs               aarch64   1.0.2-2.fc29                        updates            148 k
     replacing  authselect-libs.aarch64 1.0.2-2.fc29
 bash                          aarch64   4.4.23-6.fc29                       updates            1.5 M
     replacing  bash.aarch64 4.4.23-6.fc29
 bind-libs                     aarch64   32:9.11.4-13.P2.fc29                updates             80 k
     replacing  bind-libs.aarch64 32:9.11.4-13.P2.fc29
 bind-libs-lite                aarch64   32:9.11.4-13.P2.fc29                updates            971 k
     replacing  bind-libs-lite.aarch64 32:9.11.4-13.P2.fc29
 bind-license                  noarch    32:9.11.4-13.P2.fc29                updates             18 k
     replacing  bind-license.noarch 32:9.11.4-13.P2.fc29
 checkpolicy                   aarch64   2.8-3.fc29                          updates            268 k
     replacing  checkpolicy.aarch64 2.8-3.fc29
 coreutils                     aarch64   8.30-6.fc29                         updates            964 k
     replacing  coreutils.aarch64 8.30-6.fc29
 coreutils-common              aarch64   8.30-6.fc29                         updates            1.9 M
     replacing  coreutils-common.aarch64 8.30-6.fc29
 crypto-policies               noarch    20181026-1.gitd42aaa6.fc29          updates             46 k
     replacing  crypto-policies.noarch 20181026-1.gitd42aaa6.fc29
 cryptsetup-libs               aarch64   2.0.6-1.fc29                        updates            295 k
     replacing  cryptsetup-libs.aarch64 2.0.6-1.fc29
 dbus                          aarch64   1:1.12.12-1.fc29                    updates             11 k
     replacing  dbus.aarch64 1:1.12.12-1.fc29
 dbus-common                   noarch    1:1.12.12-1.fc29                    updates             17 k
     replacing  dbus-common.noarch 1:1.12.12-1.fc29
 dbus-daemon                   aarch64   1:1.12.12-1.fc29                    updates            192 k
     replacing  dbus-daemon.aarch64 1:1.12.12-1.fc29
 dbus-libs                     aarch64   1:1.12.12-1.fc29                    updates            137 k
     replacing  dbus-libs.aarch64 1:1.12.12-1.fc29
 dbus-tools                    aarch64   1:1.12.12-1.fc29                    updates             50 k
     replacing  dbus-tools.aarch64 1:1.12.12-1.fc29
 device-mapper                 aarch64   1.02.154-1.fc29                     updates            145 k
     replacing  device-mapper.aarch64 1.02.154-1.fc29
 device-mapper-libs            aarch64   1.02.154-1.fc29                     updates            167 k
     replacing  device-mapper-libs.aarch64 1.02.154-1.fc29
 dracut                        aarch64   049-25.git20181204.fc29             updates            315 k
     replacing  dracut.aarch64 049-25.git20181204.fc29
 dtc                           aarch64   1.4.7-2.fc29                        updates             96 k
     replacing  dtc.aarch64 1.4.7-2.fc29
 efivar-libs                   aarch64   37-1.fc29                           updates             82 k
     replacing  efivar-libs.aarch64 37-1.fc29
 elfutils-default-yama-scope   noarch    0.174-5.fc29                        updates             16 k
     replacing  elfutils-default-yama-scope.noarch 0.174-5.fc29
 elfutils-libelf               aarch64   0.174-5.fc29                        updates            175 k
     replacing  elfutils-libelf.aarch64 0.174-5.fc29
 elfutils-libs                 aarch64   0.174-5.fc29                        updates            252 k
     replacing  elfutils-libs.aarch64 0.174-5.fc29
 file-libs                     aarch64   5.34-11.fc29                        updates            523 k
     replacing  file-libs.aarch64 5.34-11.fc29
 findutils                     aarch64   1:4.6.0-21.fc29                     updates            501 k
     replacing  findutils.aarch64 1:4.6.0-21.fc29
 gettext-libs                  aarch64   0.19.8.1-18.fc29                    updates            253 k
     replacing  gettext-libs.aarch64 0.19.8.1-18.fc29
 glib2                         aarch64   2.58.3-1.fc29                       updates            2.4 M
     replacing  glib2.aarch64 2.58.3-1.fc29
 glibc                         aarch64   2.28-26.fc29                        updates            3.4 M
     replacing  glibc.aarch64 2.28-26.fc29
 glibc-common                  aarch64   2.28-26.fc29                        updates            738 k
     replacing  glibc-common.aarch64 2.28-26.fc29
 glibc-langpack-en             aarch64   2.28-26.fc29                        updates            815 k
     replacing  glibc-langpack-en.aarch64 2.28-26.fc29
 gnupg2                        aarch64   2.2.12-1.fc29                       updates            2.2 M
     replacing  gnupg2.aarch64 2.2.12-1.fc29
 gnupg2-smime                  aarch64   2.2.12-1.fc29                       updates            235 k
     replacing  gnupg2-smime.aarch64 2.2.12-1.fc29
 gnutls                        aarch64   3.6.5-2.fc29                        updates            803 k
     replacing  gnutls.aarch64 3.6.5-2.fc29
 gobject-introspection         aarch64   1.58.3-1.fc29                       updates            234 k
     replacing  gobject-introspection.aarch64 1.58.3-1.fc29
 kernel-tools-libs             aarch64   4.20.5-200.fc29                     updates             19 k
     replacing  kernel-tools-libs.aarch64 4.20.5-200.fc29
 kpartx                        aarch64   0.7.7-6.gitef6d98b.fc29             updates             53 k
     replacing  kpartx.aarch64 0.7.7-6.gitef6d98b.fc29
 krb5-libs                     aarch64   1.16.1-25.fc29                      updates            677 k
     replacing  krb5-libs.aarch64 1.16.1-25.fc29
 libarchive                    aarch64   3.3.3-2.fc29                        updates            322 k
     replacing  libarchive.aarch64 3.3.3-2.fc29
 libassuan                     aarch64   2.5.2-1.fc29                        updates             74 k
     replacing  libassuan.aarch64 2.5.2-1.fc29
 libdnf                        aarch64   0.22.3-1.fc29                       updates            469 k
     replacing  libdnf.aarch64 0.22.3-1.fc29
 libgcc                        aarch64   8.2.1-6.fc29                        updates             90 k
     replacing  libgcc.aarch64 8.2.1-6.fc29
 libgcrypt                     aarch64   1.8.4-1.fc29                        updates            364 k
     replacing  libgcrypt.aarch64 1.8.4-1.fc29
 libgomp                       aarch64   8.2.1-6.fc29                        updates            199 k
     replacing  libgomp.aarch64 8.2.1-6.fc29
 libgpg-error                  aarch64   1.33-1.fc29                         updates            235 k
     replacing  libgpg-error.aarch64 1.33-1.fc29
 libgpiod                      aarch64   1.2-1.fc29                          updates             31 k
     replacing  libgpiod.aarch64 1.2-1.fc29
 libldb                        aarch64   1.4.3-1.fc29                        updates            147 k
     replacing  libldb.aarch64 1.4.3-1.fc29
 libnfsidmap                   aarch64   1:2.3.3-1.rc2.fc29                  updates             60 k
     replacing  libnfsidmap.aarch64 1:2.3.3-1.rc2.fc29
 libselinux                    aarch64   2.8-6.fc29                          updates             75 k
     replacing  libselinux.aarch64 2.8-6.fc29
 libselinux-utils              aarch64   2.8-6.fc29                          updates             98 k
     replacing  libselinux-utils.aarch64 2.8-6.fc29
 libsemanage                   aarch64   2.8-8.fc29                          updates            104 k
     replacing  libsemanage.aarch64 2.8-8.fc29
 libsepol                      aarch64   2.8-3.fc29                          updates            261 k
     replacing  libsepol.aarch64 2.8-3.fc29
 libsolv                       aarch64   0.7.2-2.fc29                        updates            334 k
     replacing  libsolv.aarch64 0.7.2-2.fc29
 libssh                        aarch64   0.8.6-2.fc29                        updates            203 k
     replacing  libssh.aarch64 0.8.6-2.fc29
 libstdc++                     aarch64   8.2.1-6.fc29                        updates            428 k
     replacing  libstdc++.aarch64 8.2.1-6.fc29
 libtasn1                      aarch64   4.13-5.fc29                         updates             66 k
     replacing  libtasn1.aarch64 4.13-5.fc29
 libtirpc                      aarch64   1.1.4-2.rc2.fc29                    updates             93 k
     replacing  libtirpc.aarch64 1.1.4-2.rc2.fc29
 libxml2                       aarch64   2.9.8-5.fc29                        updates            604 k
     replacing  libxml2.aarch64 2.9.8-5.fc29
 libzstd                       aarch64   1.3.8-1.fc29                        updates            223 k
     replacing  libzstd.aarch64 1.3.8-1.fc29
 lmdb-libs                     aarch64   0.9.23-1.fc29                       updates             54 k
     replacing  lmdb-libs.aarch64 0.9.23-1.fc29
 lua-libs                      aarch64   5.3.5-3.fc29                        updates             98 k
     replacing  lua-libs.aarch64 5.3.5-3.fc29
 lz4-libs                      aarch64   1.8.3-1.fc29                        updates             56 k
     replacing  lz4-libs.aarch64 1.8.3-1.fc29
 nettle                        aarch64   3.4.1rc1-1.fc29                     updates            299 k
     replacing  nettle.aarch64 3.4.1rc1-1.fc29
 openldap                      aarch64   2.4.46-9.fc29                       updates            268 k
     replacing  openldap.aarch64 2.4.46-9.fc29
 openssl                       aarch64   1:1.1.1a-1.fc29                     updates            593 k
     replacing  openssl.aarch64 1:1.1.1-3.fc29
     replacing  openssl.aarch64 1:1.1.1a-1.fc29
 openssl-libs                  aarch64   1:1.1.1a-1.fc29                     updates            1.2 M
     replacing  openssl-libs.aarch64 1:1.1.1-3.fc29
     replacing  openssl-libs.aarch64 1:1.1.1a-1.fc29
 ostree-libs                   aarch64   2019.1-3.fc29                       updates            313 k
     replacing  ostree-libs.aarch64 2019.1-3.fc29
 p11-kit                       aarch64   0.23.15-1.fc29                      updates            221 k
     replacing  p11-kit.aarch64 0.23.15-1.fc29
 p11-kit-trust                 aarch64   0.23.15-1.fc29                      updates            121 k
     replacing  p11-kit-trust.aarch64 0.23.15-1.fc29
 pam                           aarch64   1.3.1-15.fc29                       updates            630 k
     replacing  pam.aarch64 1.3.1-15.fc29
 pcre                          aarch64   8.42-6.fc29                         updates            163 k
     replacing  pcre.aarch64 8.42-6.fc29
 pcre2                         aarch64   10.32-5.fc29                        updates            208 k
     replacing  pcre2.aarch64 10.32-5.fc29
 plymouth                      aarch64   0.9.4-1.fc29                        updates             76 k
     replacing  plymouth.aarch64 0.9.4-1.fc29
 plymouth-core-libs            aarch64   0.9.4-1.fc29                        updates             79 k
     replacing  plymouth-core-libs.aarch64 0.9.4-1.fc29
 plymouth-scripts              aarch64   0.9.4-1.fc29                        updates             16 k
     replacing  plymouth-scripts.aarch64 0.9.4-1.fc29
 policycoreutils               aarch64   2.8-17.fc29                         updates            188 k
     replacing  policycoreutils.aarch64 2.8-17.fc29
 polkit-libs                   aarch64   0.115-4.3.fc29                      updates             58 k
     replacing  polkit-libs.aarch64 0.115-4.3.fc29
 python-pip-wheel              noarch    18.1-1.fc29                         updates            1.2 M
     replacing  python-pip-wheel.noarch 18.1-1.fc29
 python3                       aarch64   3.7.2-4.fc29                        updates             39 k
     replacing  python3.aarch64 3.7.2-4.fc29
 python3-audit                 aarch64   3.0-0.5.20181218gitbdb72c0.fc29     updates             71 k
     replacing  python3-audit.aarch64 3.0-0.5.20181218gitbdb72c0.fc29
 python3-bind                  noarch    32:9.11.4-13.P2.fc29                updates             64 k
     replacing  python3-bind.noarch 32:9.11.4-13.P2.fc29
 python3-firewall              noarch    0.6.3-1.fc29                        updates            319 k
     replacing  python3-firewall.noarch 0.6.3-1.fc29
 python3-gobject-base          aarch64   3.30.4-1.fc29                       updates            304 k
     replacing  python3-gobject-base.aarch64 3.30.4-1.fc29
 python3-hawkey                aarch64   0.22.3-1.fc29                       updates             74 k
     replacing  python3-hawkey.aarch64 0.22.3-1.fc29
 python3-libdnf                aarch64   0.22.3-1.fc29                       updates            532 k
     replacing  python3-libdnf.aarch64 0.22.3-1.fc29
 python3-libs                  aarch64   3.7.2-4.fc29                        updates            7.2 M
     replacing  python3-libs.aarch64 3.7.2-4.fc29
 python3-libselinux            aarch64   2.8-6.fc29                          updates            154 k
     replacing  python3-libselinux.aarch64 2.8-6.fc29
 python3-libsemanage           aarch64   2.8-8.fc29                          updates             73 k
     replacing  python3-libsemanage.aarch64 2.8-8.fc29
 python3-pip                   noarch    18.1-1.fc29                         updates            1.9 M
     replacing  python3-pip.noarch 18.1-1.fc29
 python3-policycoreutils       noarch    2.8-17.fc29                         updates            2.1 M
     replacing  python3-policycoreutils.noarch 2.8-17.fc29
 python3-rpm                   aarch64   4.14.2.1-2.fc29                     updates             71 k
     replacing  python3-rpm.aarch64 4.14.2.1-2.fc29
 rpm                           aarch64   4.14.2.1-2.fc29                     updates            485 k
     replacing  rpm.aarch64 4.14.2.1-2.fc29
 rpm-build-libs                aarch64   4.14.2.1-2.fc29                     updates             86 k
     replacing  rpm-build-libs.aarch64 4.14.2.1-2.fc29
 rpm-libs                      aarch64   4.14.2.1-2.fc29                     updates            252 k
     replacing  rpm-libs.aarch64 4.14.2.1-2.fc29
 rpm-plugin-selinux            aarch64   4.14.2.1-2.fc29                     updates             24 k
     replacing  rpm-plugin-selinux.aarch64 4.14.2.1-2.fc29
 rpm-plugin-systemd-inhibit    aarch64   4.14.2.1-2.fc29                     updates             25 k
     replacing  rpm-plugin-systemd-inhibit.aarch64 4.14.2.1-2.fc29
 rpm-sign-libs                 aarch64   4.14.2.1-2.fc29                     updates             29 k
     replacing  rpm-sign-libs.aarch64 4.14.2.1-2.fc29
 runc                          aarch64   2:1.0.0-67.dev.git12f6a99.fc29      updates            2.0 M
     replacing  runc.aarch64 2:1.0.0-67.dev.git12f6a99.fc29
 selinux-policy                noarch    3.14.2-48.fc29                      updates            117 k
     replacing  selinux-policy.noarch 3.14.2-48.fc29
 selinux-policy-targeted       noarch    3.14.2-48.fc29                      updates             14 M
     replacing  selinux-policy-targeted.noarch 3.14.2-48.fc29
 shadow-utils                  aarch64   2:4.6-4.fc29                        updates            1.1 M
     replacing  shadow-utils.aarch64 2:4.6-4.fc29
 shared-mime-info              aarch64   1.12-1.fc29                         updates            319 k
     replacing  shared-mime-info.aarch64 1.12-1.fc29
 sqlite-libs                   aarch64   3.26.0-1.fc29                       updates            507 k
     replacing  sqlite-libs.aarch64 3.26.0-1.fc29
 tzdata                        noarch    2018i-1.fc29                        updates            428 k
     replacing  tzdata.noarch 2018i-1.fc29
 uboot-tools                   aarch64   2018.09-2.fc29                      updates            349 k
     replacing  uboot-tools.aarch64 2018.09-2.fc29
 wpa_supplicant                aarch64   1:2.7-1.fc29                        updates            1.5 M
     replacing  wpa_supplicant.aarch64 1:2.7-1.fc29
 openssl-pkcs11                aarch64   0.4.8-2.fc29                        fedora              57 k
     replacing  openssl-pkcs11.aarch64 0.4.8-2.fc29
Installing dependencies:
 libnet                        aarch64   1.1.6-16.fc29                       fedora              62 k
 protobuf-c                    aarch64   1.3.0-5.fc29                        fedora              33 k
 trousers-lib                  aarch64   0.3.13-11.fc29                      fedora             152 k
Installing weak dependencies:
 criu                          aarch64   3.11-1.fc29                         updates            452 k
 trousers                      aarch64   0.3.13-11.fc29                      fedora             141 k
Removing:
 container-selinux             noarch    2:2.73-2.gitd7a3f33.fc29            @updates-testing    38 k
 curl                          aarch64   7.61.1-2.fc29                       @updates-testing   726 k
 libcurl                       aarch64   7.61.1-2.fc29                       @updates-testing   555 k
 libi2c                        aarch64   4.0-11.fc29                         @fedora             92 k
 libidn2                       aarch64   2.0.5-2.fc29                        @anaconda          243 k
 libpng                        aarch64   2:1.6.34-6.fc29                     @anaconda          206 k
 libyaml                       aarch64   0.2.1-2.fc29                        @anaconda          135 k
 openssh                       aarch64   7.8p1-3.fc29                        @updates-testing   1.9 M

Transaction Summary
======================================================================================================
Install  5 Packages
Remove   8 Packages

Total download size: 69 M
Is this ok [y/N]:

Comment 2 Peter Robinson 2019-02-10 22:09:47 UTC
Transaction Summary
======================================================================================================
Install  5 Packages
Remove   8 Packages

Total download size: 69 M
Is this ok [y/N]: y
Downloading Packages:
(1/115): audit-libs-3.0-0.5.20181218gitbdb72c0.fc29.aarch64.rpm        64 kB/s | 103 kB     00:01    
(2/115): authselect-1.0.2-2.fc29.aarch64.rpm                          233 kB/s |  69 kB     00:00    
(3/115): authselect-libs-1.0.2-2.fc29.aarch64.rpm                     598 kB/s | 148 kB     00:00    
(4/115): NetworkManager-libnm-1.12.6-5.fc29.aarch64.rpm               476 kB/s | 1.2 MB     00:02    
(5/115): bind-libs-9.11.4-13.P2.fc29.aarch64.rpm                      719 kB/s |  80 kB     00:00    
(6/115): bind-libs-lite-9.11.4-13.P2.fc29.aarch64.rpm                 1.5 MB/s | 971 kB     00:00    
(7/115): NetworkManager-1.12.6-5.fc29.aarch64.rpm                     444 kB/s | 1.5 MB     00:03    
(8/115): bash-4.4.23-6.fc29.aarch64.rpm                               1.2 MB/s | 1.5 MB     00:01    
(9/115): bind-license-9.11.4-13.P2.fc29.noarch.rpm                    381 kB/s |  18 kB     00:00    
(10/115): checkpolicy-2.8-3.fc29.aarch64.rpm                          935 kB/s | 268 kB     00:00    
(11/115): crypto-policies-20181026-1.gitd42aaa6.fc29.noarch.rpm       609 kB/s |  46 kB     00:00    
(12/115): coreutils-8.30-6.fc29.aarch64.rpm                           2.0 MB/s | 964 kB     00:00    
(13/115): dbus-1.12.12-1.fc29.aarch64.rpm                             336 kB/s |  11 kB     00:00    
(14/115): dbus-common-1.12.12-1.fc29.noarch.rpm                       732 kB/s |  17 kB     00:00    
(15/115): cryptsetup-libs-2.0.6-1.fc29.aarch64.rpm                    1.3 MB/s | 295 kB     00:00    
(16/115): dbus-daemon-1.12.12-1.fc29.aarch64.rpm                      1.7 MB/s | 192 kB     00:00    
(17/115): dbus-tools-1.12.12-1.fc29.aarch64.rpm                       1.0 MB/s |  50 kB     00:00    
(18/115): dbus-libs-1.12.12-1.fc29.aarch64.rpm                        1.0 MB/s | 137 kB     00:00    
(19/115): device-mapper-1.02.154-1.fc29.aarch64.rpm                   1.7 MB/s | 145 kB     00:00    
(20/115): device-mapper-libs-1.02.154-1.fc29.aarch64.rpm              967 kB/s | 167 kB     00:00    
(21/115): dracut-049-25.git20181204.fc29.aarch64.rpm                  1.9 MB/s | 315 kB     00:00    
(22/115): dtc-1.4.7-2.fc29.aarch64.rpm                                1.1 MB/s |  96 kB     00:00    
(23/115): efivar-libs-37-1.fc29.aarch64.rpm                           1.4 MB/s |  82 kB     00:00    
(24/115): elfutils-default-yama-scope-0.174-5.fc29.noarch.rpm         422 kB/s |  16 kB     00:00    
(25/115): elfutils-libelf-0.174-5.fc29.aarch64.rpm                    1.8 MB/s | 175 kB     00:00    
(26/115): elfutils-libs-0.174-5.fc29.aarch64.rpm                      1.2 MB/s | 252 kB     00:00    
(27/115): file-libs-5.34-11.fc29.aarch64.rpm                          1.9 MB/s | 523 kB     00:00    
(28/115): coreutils-common-8.30-6.fc29.aarch64.rpm                    1.3 MB/s | 1.9 MB     00:01    
(29/115): gettext-libs-0.19.8.1-18.fc29.aarch64.rpm                   1.8 MB/s | 253 kB     00:00    
(30/115): findutils-4.6.0-21.fc29.aarch64.rpm                         1.2 MB/s | 501 kB     00:00    
(31/115): glibc-common-2.28-26.fc29.aarch64.rpm                       1.2 MB/s | 738 kB     00:00    
(32/115): glibc-langpack-en-2.28-26.fc29.aarch64.rpm                  937 kB/s | 815 kB     00:00    
(33/115): glibc-2.28-26.fc29.aarch64.rpm                              2.0 MB/s | 3.4 MB     00:01    
(34/115): gnupg2-smime-2.2.12-1.fc29.aarch64.rpm                      1.5 MB/s | 235 kB     00:00    
(35/115): glib2-2.58.3-1.fc29.aarch64.rpm                             1.1 MB/s | 2.4 MB     00:02    
(36/115): gnutls-3.6.5-2.fc29.aarch64.rpm                             1.6 MB/s | 803 kB     00:00    
(37/115): gobject-introspection-1.58.3-1.fc29.aarch64.rpm             938 kB/s | 234 kB     00:00    
(38/115): kernel-tools-libs-4.20.5-200.fc29.aarch64.rpm               620 kB/s |  19 kB     00:00    
(39/115): kpartx-0.7.7-6.gitef6d98b.fc29.aarch64.rpm                  951 kB/s |  53 kB     00:00    
(40/115): libarchive-3.3.3-2.fc29.aarch64.rpm                         463 kB/s | 322 kB     00:00    
(41/115): krb5-libs-1.16.1-25.fc29.aarch64.rpm                        903 kB/s | 677 kB     00:00    
(42/115): gnupg2-2.2.12-1.fc29.aarch64.rpm                            1.4 MB/s | 2.2 MB     00:01    
(43/115): libassuan-2.5.2-1.fc29.aarch64.rpm                          1.3 MB/s |  74 kB     00:00    
(44/115): libgcc-8.2.1-6.fc29.aarch64.rpm                             1.2 MB/s |  90 kB     00:00    
(45/115): libgomp-8.2.1-6.fc29.aarch64.rpm                            1.7 MB/s | 199 kB     00:00    
(46/115): libdnf-0.22.3-1.fc29.aarch64.rpm                            1.4 MB/s | 469 kB     00:00    
(47/115): libgcrypt-1.8.4-1.fc29.aarch64.rpm                          1.1 MB/s | 364 kB     00:00    
(48/115): libgpg-error-1.33-1.fc29.aarch64.rpm                        1.7 MB/s | 235 kB     00:00    
(49/115): libgpiod-1.2-1.fc29.aarch64.rpm                             595 kB/s |  31 kB     00:00    
(50/115): libldb-1.4.3-1.fc29.aarch64.rpm                             2.0 MB/s | 147 kB     00:00    
(51/115): libnfsidmap-2.3.3-1.rc2.fc29.aarch64.rpm                    732 kB/s |  60 kB     00:00    
(52/115): libselinux-2.8-6.fc29.aarch64.rpm                           981 kB/s |  75 kB     00:00    
(53/115): libselinux-utils-2.8-6.fc29.aarch64.rpm                     1.5 MB/s |  98 kB     00:00    
(54/115): libsemanage-2.8-8.fc29.aarch64.rpm                          1.2 MB/s | 104 kB     00:00    
(55/115): libsepol-2.8-3.fc29.aarch64.rpm                             1.3 MB/s | 261 kB     00:00    
(56/115): libsolv-0.7.2-2.fc29.aarch64.rpm                            1.7 MB/s | 334 kB     00:00    
(57/115): libssh-0.8.6-2.fc29.aarch64.rpm                             1.1 MB/s | 203 kB     00:00    
(58/115): libtasn1-4.13-5.fc29.aarch64.rpm                            1.3 MB/s |  66 kB     00:00    
(59/115): libtirpc-1.1.4-2.rc2.fc29.aarch64.rpm                       1.1 MB/s |  93 kB     00:00    
(60/115): libstdc++-8.2.1-6.fc29.aarch64.rpm                          1.6 MB/s | 428 kB     00:00    
(61/115): lmdb-libs-0.9.23-1.fc29.aarch64.rpm                         891 kB/s |  54 kB     00:00    
(62/115): libzstd-1.3.8-1.fc29.aarch64.rpm                            1.1 MB/s | 223 kB     00:00    
(63/115): lua-libs-5.3.5-3.fc29.aarch64.rpm                           1.2 MB/s |  98 kB     00:00    
(64/115): libxml2-2.9.8-5.fc29.aarch64.rpm                            1.8 MB/s | 604 kB     00:00    
(65/115): lz4-libs-1.8.3-1.fc29.aarch64.rpm                           747 kB/s |  56 kB     00:00    
(66/115): openldap-2.4.46-9.fc29.aarch64.rpm                          1.3 MB/s | 268 kB     00:00    
(67/115): nettle-3.4.1rc1-1.fc29.aarch64.rpm                          1.3 MB/s | 299 kB     00:00    
(68/115): ostree-libs-2019.1-3.fc29.aarch64.rpm                       1.5 MB/s | 313 kB     00:00    
(69/115): openssl-1.1.1a-1.fc29.aarch64.rpm                           1.1 MB/s | 593 kB     00:00    
(70/115): p11-kit-0.23.15-1.fc29.aarch64.rpm                          1.6 MB/s | 221 kB     00:00    
(71/115): p11-kit-trust-0.23.15-1.fc29.aarch64.rpm                    515 kB/s | 121 kB     00:00    
(72/115): openssl-libs-1.1.1a-1.fc29.aarch64.rpm                      1.7 MB/s | 1.2 MB     00:00    
(73/115): pam-1.3.1-15.fc29.aarch64.rpm                               1.6 MB/s | 630 kB     00:00    
(74/115): pcre-8.42-6.fc29.aarch64.rpm                                919 kB/s | 163 kB     00:00    
(75/115): plymouth-0.9.4-1.fc29.aarch64.rpm                           1.1 MB/s |  76 kB     00:00    
(76/115): pcre2-10.32-5.fc29.aarch64.rpm                              1.8 MB/s | 208 kB     00:00    
(77/115): plymouth-scripts-0.9.4-1.fc29.aarch64.rpm                   652 kB/s |  16 kB     00:00    
(78/115): plymouth-core-libs-0.9.4-1.fc29.aarch64.rpm                 1.0 MB/s |  79 kB     00:00    
(79/115): polkit-libs-0.115-4.3.fc29.aarch64.rpm                      1.0 MB/s |  58 kB     00:00    
(80/115): policycoreutils-2.8-17.fc29.aarch64.rpm                     2.1 MB/s | 188 kB     00:00    
(81/115): python3-3.7.2-4.fc29.aarch64.rpm                            527 kB/s |  39 kB     00:00    
(82/115): python3-audit-3.0-0.5.20181218gitbdb72c0.fc29.aarch64.rpm   1.2 MB/s |  71 kB     00:00    
(83/115): python3-bind-9.11.4-13.P2.fc29.noarch.rpm                   938 kB/s |  64 kB     00:00    
(84/115): python3-firewall-0.6.3-1.fc29.noarch.rpm                    1.6 MB/s | 319 kB     00:00    
(85/115): python3-hawkey-0.22.3-1.fc29.aarch64.rpm                    1.0 MB/s |  74 kB     00:00    
(86/115): python3-gobject-base-3.30.4-1.fc29.aarch64.rpm              859 kB/s | 304 kB     00:00    
(87/115): python-pip-wheel-18.1-1.fc29.noarch.rpm                     1.7 MB/s | 1.2 MB     00:00    
(88/115): python3-libdnf-0.22.3-1.fc29.aarch64.rpm                    1.6 MB/s | 532 kB     00:00    
(89/115): python3-libsemanage-2.8-8.fc29.aarch64.rpm                  964 kB/s |  73 kB     00:00    
(90/115): python3-libselinux-2.8-6.fc29.aarch64.rpm                   1.5 MB/s | 154 kB     00:00    
(91/115): python3-policycoreutils-2.8-17.fc29.noarch.rpm              1.8 MB/s | 2.1 MB     00:01    
(92/115): python3-rpm-4.14.2.1-2.fc29.aarch64.rpm                     1.5 MB/s |  71 kB     00:00    
(93/115): python3-pip-18.1-1.fc29.noarch.rpm                          1.4 MB/s | 1.9 MB     00:01    
(94/115): rpm-build-libs-4.14.2.1-2.fc29.aarch64.rpm                  979 kB/s |  86 kB     00:00    
(95/115): rpm-4.14.2.1-2.fc29.aarch64.rpm                             1.9 MB/s | 485 kB     00:00    
(96/115): rpm-plugin-selinux-4.14.2.1-2.fc29.aarch64.rpm              771 kB/s |  24 kB     00:00    
(97/115): rpm-plugin-systemd-inhibit-4.14.2.1-2.fc29.aarch64.rpm      734 kB/s |  25 kB     00:00    
(98/115): rpm-sign-libs-4.14.2.1-2.fc29.aarch64.rpm                   771 kB/s |  29 kB     00:00    
(99/115): rpm-libs-4.14.2.1-2.fc29.aarch64.rpm                        1.6 MB/s | 252 kB     00:00    
(100/115): selinux-policy-3.14.2-48.fc29.noarch.rpm                   866 kB/s | 117 kB     00:00    
(101/115): runc-1.0.0-67.dev.git12f6a99.fc29.aarch64.rpm              1.5 MB/s | 2.0 MB     00:01    
(102/115): shadow-utils-4.6-4.fc29.aarch64.rpm                        1.2 MB/s | 1.1 MB     00:00    
(103/115): shared-mime-info-1.12-1.fc29.aarch64.rpm                   1.4 MB/s | 319 kB     00:00    
(104/115): sqlite-libs-3.26.0-1.fc29.aarch64.rpm                      1.5 MB/s | 507 kB     00:00    
(105/115): tzdata-2018i-1.fc29.noarch.rpm                             1.5 MB/s | 428 kB     00:00    
(106/115): uboot-tools-2018.09-2.fc29.aarch64.rpm                     1.5 MB/s | 349 kB     00:00    
(107/115): python3-libs-3.7.2-4.fc29.aarch64.rpm                      1.3 MB/s | 7.2 MB     00:05    
(108/115): openssl-pkcs11-0.4.8-2.fc29.aarch64.rpm                    362 kB/s |  57 kB     00:00    
(109/115): criu-3.11-1.fc29.aarch64.rpm                               1.4 MB/s | 452 kB     00:00    
(110/115): libnet-1.1.6-16.fc29.aarch64.rpm                           683 kB/s |  62 kB     00:00    
(111/115): wpa_supplicant-2.7-1.fc29.aarch64.rpm                      1.5 MB/s | 1.5 MB     00:01    
(112/115): protobuf-c-1.3.0-5.fc29.aarch64.rpm                        406 kB/s |  33 kB     00:00    
(113/115): trousers-lib-0.3.13-11.fc29.aarch64.rpm                    1.0 MB/s | 152 kB     00:00    
(114/115): trousers-0.3.13-11.fc29.aarch64.rpm                        661 kB/s | 141 kB     00:00    
(115/115): selinux-policy-targeted-3.14.2-48.fc29.noarch.rpm          2.2 MB/s |  14 MB     00:06    
------------------------------------------------------------------------------------------------------
Total                                                                 3.2 MB/s |  69 MB     00:21     
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.

Comment 3 Peter Robinson 2019-02-10 22:14:27 UTC
Created attachment 1528799 [details]
the package-cleanup --cleandupes error output

This is the output from the "package-cleanup --dupes" showing that it's not actually removing the older packages

Comment 4 Jaroslav Mracek 2019-09-06 16:32:43 UTC
DNF re-installs the new package and removes the older one. I am going to investigate why rpm is unable to perform the action.

Comment 5 Jaroslav Mracek 2019-09-06 17:02:40 UTC
Created attachment 1612482 [details]
Output from remove --duplicates

Comment 6 Jaroslav Mracek 2019-09-07 14:44:59 UTC
The solution was quite easy, rpm did not get information that packages must be removed (regression to dnf-2.7.5). I create a patch that restore the functionality: https://github.com/rpm-software-management/dnf/pull/1478

Comment 7 Jaroslav Mracek 2019-09-07 14:47:49 UTC
*** Bug 1723126 has been marked as a duplicate of this bug. ***

Comment 8 Daniel Mach 2019-09-13 13:34:03 UTC
The patch improves the behavior, but it doesn't completely fix it.
When I ran following test several times in a row, I was getting random transaction action: reinstall/upgrade etc.
Isn't there a dictionary or something else returning packages in random order?

https://github.com/dmach/ci-dnf-stack/commit/439a12436d5158e91f1c54bd0c66a98cb136fdd3
https://github.com/dmach/ci-dnf-stack/tree/bz1674296

Comment 9 Daniel Mach 2019-09-23 19:04:25 UTC
The problem turned out to be in the test, dnf stack works fine.
I have updated the ci-dnf-stack steps accordingly.

Tests: https://github.com/rpm-software-management/ci-dnf-stack/pull/636

Comment 10 Jaroslav Mracek 2019-09-23 19:25:55 UTC
*** Bug 1739953 has been marked as a duplicate of this bug. ***

Comment 11 Jaroslav Mracek 2019-09-27 05:58:36 UTC
*** Bug 1750560 has been marked as a duplicate of this bug. ***

Comment 12 Fedora Update System 2019-11-11 09:43:23 UTC
FEDORA-2019-7cafbe66ba has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7cafbe66ba

Comment 13 Fedora Update System 2019-11-11 09:43:56 UTC
FEDORA-2019-94393775ec has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-94393775ec

Comment 14 Fedora Update System 2019-11-12 03:07:45 UTC
dnf-4.2.15-1.fc30, dnf-plugins-core-4.0.11-1.fc30, dnf-plugins-extras-4.0.8-1.fc30, libdnf-0.37.2-2.fc30, librepo-1.11.0-1.fc30, microdnf-3.0.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7cafbe66ba

Comment 15 Fedora Update System 2019-11-13 04:56:13 UTC
dnf-4.2.15-1.fc31, dnf-plugins-core-4.0.11-1.fc31, dnf-plugins-extras-4.0.8-1.fc31, libdnf-0.37.2-2.fc31, librepo-1.11.0-1.fc31, microdnf-3.0.2-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-94393775ec

Comment 16 Fedora Update System 2019-11-14 06:47:03 UTC
FEDORA-2019-7cafbe66ba has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7cafbe66ba

Comment 17 Fedora Update System 2019-11-14 06:50:49 UTC
FEDORA-2019-94393775ec has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-94393775ec

Comment 18 Fedora Update System 2019-11-15 03:45:11 UTC
dnf-4.2.15-3.fc30, dnf-plugins-core-4.0.11-1.fc30, dnf-plugins-extras-4.0.8-1.fc30, libdnf-0.37.2-2.fc30, librepo-1.11.0-1.fc30, microdnf-3.0.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7cafbe66ba

Comment 19 Fedora Update System 2019-11-15 04:38:43 UTC
dnf-4.2.15-2.fc31, dnf-plugins-core-4.0.11-1.fc31, dnf-plugins-extras-4.0.8-1.fc31, libdnf-0.37.2-2.fc31, librepo-1.11.0-1.fc31, microdnf-3.0.2-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-94393775ec

Comment 20 Fedora Update System 2019-11-19 01:35:15 UTC
dnf-4.2.15-2.fc31, dnf-plugins-core-4.0.11-1.fc31, dnf-plugins-extras-4.0.8-1.fc31, libdnf-0.37.2-2.fc31, librepo-1.11.0-1.fc31, microdnf-3.0.2-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-12-02 19:10:35 UTC
dnf-4.2.15-3.fc30, dnf-plugins-core-4.0.11-1.fc30, dnf-plugins-extras-4.0.8-1.fc30, libdnf-0.37.2-2.fc30, librepo-1.11.0-1.fc30, microdnf-3.0.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Robert Weir 2020-01-26 20:18:35 UTC
I, having experienced this problem under F30 can say that I have not experienced any further issues after upgrading to F31.  I am currently running Kernel 5.4.12-200.fc31.x86_64 .  I am pleased that this is working much better than before.  Congrats to the devs!

Comment 23 Peter Robinson 2020-02-26 15:43:57 UTC
This is still broken:

 package-cleanup --cleandupes
Last metadata expiration check: 2:06:16 ago on Wed 26 Feb 2020 13:05:06 UTC.
Installed package dnf-data-4.2.18-2.fc32.noarch not available.
Installed package dnf-4.2.18-2.fc32.noarch not available.
Installed package shadow-utils-2:4.8-3.fc32.armv7hl not available.
Installed package python3-3.8.2~rc1-1.fc32.armv7hl not available.
Installed package python3-dnf-4.2.18-2.fc32.noarch not available.
Installed package python-unversioned-command-3.8.2~rc1-1.fc32.noarch not available.
Installed package dbus-broker-21-7.fc32.armv7hl not available.
Installed package glib2-2.63.5-3.fc32.armv7hl not available.
Installed package python3-hawkey-0.43.1-3.fc32.armv7hl not available.
Installed package python3-libdnf-0.43.1-3.fc32.armv7hl not available.
Installed package yum-4.2.18-2.fc32.noarch not available.
Installed package ipset-libs-7.5-2.fc32.armv7hl not available.
Installed package ipset-7.5-2.fc32.armv7hl not available.
Installed package libdnf-0.43.1-3.fc32.armv7hl not available.
Installed package libpcap-14:1.9.1-2.fc32.armv7hl not available.
Installed package python3-libs-3.8.2~rc1-1.fc32.armv7hl not available.
Error: 
 Problem: The operation would result in removing the following protected packages: dnf
(try to add '--skip-broken' to skip uninstallable packages)

Comment 24 Jaroslav Mracek 2020-02-27 08:17:28 UTC
I believe that the problem is that installed version is not available therefore dnf package cannot be reinstalled. The reinstall operation is required to overcome the issue with protected packages. For this case dnf shell is reccomended to use. See man:

``dnf [options] remove --duplicates``
    Removes older versions of duplicate packages. To ensure the integrity of the system it
    reinstalls the newest package. In some cases the command cannot resolve conflicts. In such cases
    the :ref:`dnf shell <shell_command-label>` command with ``remove --duplicates`` and ``upgrade``
    dnf-shell sub-commands could help.


Please feel free to reopen the issue if hint in documentation doesn't help.

Comment 25 Robert Weir 2020-03-09 03:12:43 UTC
I am sorry but I answered an earlier post (earlier in this thread) (link in email sent me there and I didn't realize I was in wrong place).  I can open a new bug for F31 if that would make it a bit easier?  I am experiencing a similar problems with my F31.
Robert


Note You need to log in before you can comment on or make changes to this bug.